.\" hplot.man
.TH R.HPLOT.SH
.SH NAME
r.hplot.sh \- raster data histogram plot
.SH SYNOPSIS
.na
.TP \w'r.hplot.shm'u
.B r.hplot.sh
.RB [ \-z ]
.RB [ \-T\ \c
.IR terminal ]
.RB [ \-a\ \c
.IR lo : hi ]
.RB [ \-i\ \c
.IR interval ]
.RB [ \-o\ \c
.IR lo : hi ]
.RB [ \-t\ \c
.IR title ]
.RB [ \-x\ \c
.IR label ]
.RB [ \-y\ \c
.IB label ]
.I mapname
.ad
.SH DESCRIPTION
.B r.hplot.sh
is a frontend for plotting a histogram of raster data from
.IR mapname .
The actual graph plotting is performed by
.BR gnuplot (1)
which must be present on the system (possibly installed as
.BR g.gnuplot ).
The data statistics are gathered by
.BR r.stats .
Output appears on screen, printer or standard output dependent on the
selected terminal.
If the output is not redirected, the user will be asked
to hit the return key before terminating.
.SH OPTIONS
.TP
.BI \-T \ terminal
The graphics device is given by
.IR terminal .
Consult the local
.B gnuplot
documentation or try the command
.RB ' set\ term '
from 
.B gnuplot
to find out about supported devices. Some common devices are:
.B X11
and
.B x11
for X-windows;
.B postscript
for P\s-2OST\s0S\s-2CRIPT\s0 output;
.B LaTeX
and
.B EEPIC
for TeX picture environtments; and
.B grass
to use the GRASS graphics screen. The default is implementation defined
or taken from the environment variable
.BR \s-1GNUTERM\s0 .
.TP
.BI \-a \ lo : hi
.PD 0
.TP
.BI \-o \ lo : hi
The numerical range of the abscissae
.RB ( \-a ,
the
.I mapname
categories)
and the ordinates
.RB ( \-o ,
the number of cells)
is given by
.IR lo \- hi .
One of the values may be omitted, the colon `:' must be present.
.PD
.TP
.BI \-i \ interval
The histogram class width is given by the numerical value
.IR interval .
.TP
.BI \-t \ title
Set the title string to
.IR title .
The default is composed
.IR mapname,
mapset, and location names. If given as a dash '\-', no title is printed.
.TP
.BI \-x \ label
.PD 0
.TP
.BI \-y \ label
Set the axis label to the string
.IR label .
Default is
.RB `` categories ''
for the x-axis and
.RB `` cells ''
for the y-axis.
.PD
.TP
.B \-z
Use only non-zero data from the input. This flag is passed to
.BR r.stats .
.SH FILES
.BI /tmp/grass. pid .[12]
Temporary files
.SH EXAMPLE
The following command prints a histogram of a map called
.RB `` slope ''
on a P\s-2OST\s0S\s-2CRIPT\s0 compatible printer. The output represents
slope categories in 10 degree intervals:
.PP
.if t .RS
.nf
.B r.hplot.sh "\-T ''post 'Helvetica' 12'' \-i 10 slope | lpr \-Pps"
.if t .RE
.fi
.PP
Note the use of quotes for the argument to
.BR \-T .
.SH SEE ALSO
.BR r.splot.sh ,
.BR r.stats ,
.BR gnuplot (1)
.PP
.I "GNUPLOT An Interactive Plotting Program"
.SH NOTES
This program needs gnuplot version 3.4 or later to do the box plotting.
.br
P\s-2OST\s0S\s-2CRIPT\s0 is a registered trademark of Adobe Systems Inc.
.SH AUTHOR
Raymond Venneker, Inst. of Earth Sciences, VU Amsterdam.
