.\" splot.man
.TH R.SPLOT.SH
.SH NAME
r.splot.sh \- raster data scatterplot
.SH SYNOPSIS
.na
.TP \w'r.splot.shm'u
.B r.splot.sh
.RB [ \-z ]
.RB [ \-T\ \c
.IR terminal ]
.RB [ \-a\ \c
.IR lo : hi ]
.RB [ \-o\ \c
.IR lo : hi ]
.RB [ \-s\ \c
.IR wscale , hscale ]
.RB [ \-t\ \c
.IR title ]
.RB [ \-x\ \c
.IR label ]
.RB [ \-y\ \c
.IB label ]
.I xmapname
.I ymapname
.ad
.SH DESCRIPTION
.B r.splot.sh
is a frontend for generating a scatterplot of raster data from
.I xmapname
and
.IR ymapname .
The actual graph plotting is performed by
.BR gnuplot (1)
which must be present on the system (possibly installed as
.BR g.gnuplot ).
The data statistics are gathered by
.BR r.stats .
Output appears on screen, printer or standard output dependent on the
the selected terminal.
If the output is not redirected, the user will be asked
to hit the return key before terminating.
.SH OPTIONS
.TP
.BI \-T \ terminal
The graphics device is given by
.IR terminal .
Consult the local
.B gnuplot
documentation or try the command
.RB ' set\ term '
from 
.B gnuplot
to find out about supported devices. Some common devices are:
.B X11
and
.B x11
for X-windows;
.B postscript
for P\s-2OST\s0S\s-2CRIPT\s0 output;
.B LaTeX
and
.B EEPIC
for TeX picture environtments; and
.B grass
to use the GRASS graphics screen. The default is implementation defined
or taken from the environment variable
.BR \s-1GNUTERM\s0 .
.TP
.BI \-a \ lo : hi
.PD 0
.TP
.BI \-o \ lo : hi
The category range of the abscissae
.RB ( \-a ,
from
.IR xmapname )
and the ordinates
.RB ( \-o ,
from
.IR ymapname )
is the numerical range
.IR lo \- hi .
One of the values may be omitted, the colon `:' must be present.
.PD
.TP
.BI \-s \ wscale , hscale
Scale the width and the height of the graph to the fractions
.I wscale
and
.I hscale
respectively. The default size depends on the output terminal.
.TP
.BI \-t \ title
Set the title string to
.IR title .
The default is composed of
.IR mapname (s),
mapset, and location names. If given as a dash `\-', no title is printed.
.TP
.BI \-x \ label
.PD 0
.TP
.BI \-y \ label
Set the axis label to the string
.IR label .
Default is
.RI `` mapname ''.
.PD
.TP
.B \-z
Use only non-zero data from the input. This flag is passed to
.BR r.stats .
.SH FILES
.BI /tmp/grass. pid .[12]
Temporary files
.SH EXAMPLE
The following command creates a LaTeX (EEPIC) file of an approximately
square sized feature space plot from LandSat mss bands 5 and 7:
.PP
.if t .RS
.nf
.B r.splot.sh "\-T EEPIC \-a 0:255 \-o 0:255 \-s .6,1 mss.5 mss.7 > s57.tex"
.if t .RE
.fi
.PP
Note that it is difficult to set equal axes lenghts in gnuplot.
.SH SEE ALSO
.BR r.hplot.sh ,
.BR r.stats ,
.BR gnuplot (1)
.PP
.I "GNUPLOT An Interactive Plotting Program"
.SH NOTE
P\s-2OST\s0S\s-2CRIPT\s0 is a registered trademark of Adobe Systems Inc.
.SH AUTHOR
Raymond Venneker, Inst. of Earth Sciences, VU Amsterdam.
